cscript

do compile

cap log close

log using test, text replace

local seed 12345671
set seed `seed'

matrix beta0	= 1
matrix beta1	= (1, 1)
matrix beta2	= (1, 1)
matrix gamma	= (1, 1)
local n_obs	= 1000
local sample1	s1
local sample2	s2
local sample0	s0
local ratio	= 3/4

dgp_msreg, 			///
	beta0(beta0)		///
	beta1(beta1)		///
	beta2(beta2)		///
	gamma(gamma)		///
	n_obs(`n_obs')		///
	sample1(`sample1')	///
	sample2(`sample2')	///
	sample0(`sample0')	///
	ratio(`ratio')

forvalues i=1/2 {
	use `sample`i'', clear
	export delimited using `sample`i''.csv, replace
}

local logs logs

sjlog using `logs'/log1, replace
use s1, clear
describe
sjlog close, replace

sjlog using `logs'/log2, replace
use s2, clear
describe
sjlog close, replace

sjlog using `logs'/log3, replace
use s1, clear
msreg y x11 x12 (x21 x22 = z1 z2) using s2, nneighbor(2) order(3)
sjlog close, replace

sjlog using `logs'/log4, replace
use card, clear
regress lnwage exper c.exper#c.exper 			///
	kww educ feduc meduc i.smsa i.south i.black	
estimate store ols
sjlog close, replace

sjlog using `logs'/log5, replace
msreg lnwage exper c.exper#c.exper 			///
	(kww = educ feduc meduc i.smsa i.south i.black)	///
	using wage2, order(3) 
estimate store twostep_vi
sjlog close, replace

sjlog using `logs'/log6, replace
estimate table ols twostep_vi, b star
sjlog close, replace



cap log close
