cscript

args stream
if (`"`stream'"' == "") {
	local stream 1
}

					//----------------------------//
					//  compile
					//----------------------------//
do compile
					//----------------------------//
					//  programs
					//----------------------------//
program post_result
	syntax , pname(string) d3(string)

	local b_b2 = _b[x22]
	local se_b2 = _se[x22]
	test x22 = 1
	if (r(p) < 0.05) {
		local r_b2 = 1
	}
	else {
		local r_b2 = 0
	}

	local b_gamma = _b[z1]
	local se_gamma = _se[z1]
	test z1 = 1
	if (r(p) < 0.05) {
		local r_gamma = 1
	}
	else {
		local r_gamma = 0
	}

	post `pname' (`d3') (`"`e(estimator)'"') 	///
		(`b_b2') (`se_b2') (`r_b2')		///
		(`b_gamma') (`se_gamma') (`r_gamma')	///
		(e(nneighbor)) (e(order))
end


cap log close
log using tmp/test`stream', text replace

					//----------------------------//
					//  dgp setup
					//----------------------------//
set rng mt64s
set rngstream `stream'
local seed 12345671
set seed `seed'

matrix beta0	= 1
matrix beta1	= (1, 1)
matrix beta2	= (1, 1)
matrix gamma1	= 1
matrix gamma2	= (1, 1)
matrix gamma3	= (1, 1, 1)
local n_obs	= 2000
local ratio	= 1/2
					//----------------------------//
					//  simulation setup
					//----------------------------//

local n_reps_all = 1200
local n_reps = ceil(`n_reps_all'/29)
local nns 1 2 4 8
local orders 2 3 4
local pname pfile`stream'
local pfile result/result`stream'

postfile `pname' 			///
	d3				///
	str20(estimator)		///
	b_b2 se_b2 r_b2			///
	b_gamma se_gamma r_gamma	///
	nneighbor order 		///
	using `pfile' , every(1) replace

					//----------------------------//
					//  simlulations
					//----------------------------//
forvalues i=1/`n_reps' {
	forvalues j=1/3 {
		local sample1	tmp/s1_st`stream'_g`j'
		local sample2	tmp/s2_st`stream'_g`j'
		local sample0	tmp/s0_st`stream'_g`j'

		qui dgp_msreg, 			///
			beta0(beta0)		///
			beta1(beta1)		///
			beta2(beta2)		///
			gamma(gamma`j')		///
			n_obs(`n_obs')		///
			sample1(`sample1')	///
			sample2(`sample2')	///
			sample0(`sample0')	///
			ratio(`ratio')
		
		use `sample1', clear
	
		//  MSOLS for nn in 1 2 4 8
		foreach nn of local nns {
			qui msreg y x1* (x2* = z*) using `sample2', 	///
				estimator(msols) nn(`nn') 
			qui post_result , d3(`j') pname(`pname') 
		}
	
		// FMII for nn = 1 and order in 2 3 4
		foreach order of local orders {
			qui msreg y x1* (x2* = z*) using `sample2', 	///
				nn(1) order(`order') vce(vi) estimator(twostep)
			qui post_result , d3(`j') pname(`pname') 
		}
	}

	if (mod(`i', 50) == 0) {
		di `i'
	}
	else {
		di _continue "."
	}
}

postclose `pname'

use `pfile', clear

bysort d3 estimator nneighbor order: sum *b2 *gamma, sep(3)

log close
