{smcl}
{* *! version 1.0.0  23mar2020}{...}
{findalias asfradohelp}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] help" "help help"}{...}
{viewerjumpto "Syntax" "msreg##syntax"}{...}
{viewerjumpto "Description" "msreg##description"}{...}
{viewerjumpto "Options" "msreg##options"}{...}
{viewerjumpto "Remarks" "msreg##remarks"}{...}
{viewerjumpto "Examples" "msreg##examples"}{...}
{viewerjumpto "Stored results" "msreg##results"}{...}
{viewerjumpto "Reference" "msreg##reference"}{...}
{title:Title}

{phang}
{bf:msreg} {hline 2} Consistent estimation of linear regression models using
matched data

{marker syntax}{...}
{title:Syntax}

{p 8 14 2}
{cmd:msreg}
{depvar}
[{it:varlist_X1}]
{cmd:(}{it:varlist_X2} {cmd:=} {it:varlist_Z}{cmd:)}
{cmd:using} {help filename:{it:filename}} 
{ifin}
[, {it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opt vce(vce_spec)}} specify the type of variance and covariance
matrix used in computation{p_end}
{synopt:{opt estimator(est_spec)}} specify the type of estimator{p_end}
{synopt:{opt nneighbor(#)}} specify the number of matches per observation{p_end}
{synopt:{opt metric(metric_spec)}} specify the distance matrix used as
the weight matrix in a quadratic form that transforms the multiple distances
into a single distance measure{p_end}
{synopt:{opt order(#)}} specify the order of polynomial in the power-series
approximation{p_end}
{synopt:{opt nocon:stant}} suppress the constant term{p_end}

{syntab:Reporting}
{synopt:{opt l:evel(#)}} specify the level of significance for output
table{p_end}
{synopt :{help msreg##display_options:{it:display_options}}}control
INCLUDE help shortdes-displayoptall
INCLUDE help shortdes-coeflegend
{synoptline}
{p2colreset}{...}

{p 4 6 2}
{it:varlist_X1}, {it:varlist_X2}, and {it:varlist_Z} may contain factor
variables; see {help fvvarlist}.{p_end}

{synoptset 16 }{...}
{marker vce_spec}{...}
{synopthdr:vce_spec}
{synoptline}
{synopt :{opt vi}}VI type variance-covariance assuming sample size ratio
converges to a nonzero constant; the default {p_end}
{synopt :{opt vii}}VII type variance-covariance assuming sample size ratio
converges to zero{p_end}
{synopt :{opt viii}}VIII type variance-covariance assuming sample size ratio
converges to infinity{p_end}
{synoptline}

{synoptset 16 }{...}
{marker est_spec}{...}
{synopthdr:est_spec}
{synoptline}
{synopt :{opt two:step}} specify to use the two-step bias-corrected estimator;
the default {p_end}
{synopt :{opt one:step}} specify to use the one-step bias-corrected
estimator{p_end}
{synoptline}

{synoptset 16}{...}
{marker metric_spec}{...}
{synopthdr:metric_spec}
{synoptline}
{synopt :{opt maha:lanobis}} specify to use the inverse of the sample covariance
matrix of matching variables; the default{p_end}
{synopt :{opt eucl:idean}} specify to use the inverse of only diagonal elements
of the sample covariance matrix of matching variables{p_end}
{synoptline}


{marker description}{...}
{title:Description}

{pstd}
{cmd:msreg} fits a linear regression model when some of the covariates are
missing in one sample and we need to use a matched sample for estimation. The
ordinary-least-squares (OLS) estimator using the matched sample is inconsistent
in this setting. {cmd: msreg} can consistently estimate the model coefficients
using matched sample indirect inference estimators developed in M. Hirukawa and
A. Prokhorov (2018)


{marker options}
{title:Options}

{dlgtab:Main}

{phang}
{opt vce(vce_spec)} specifies the type of variance-covariance matrix used in
computation. {it: vce_spec} can be one of {opt vi},
{opt vii} or {opt viii}. The default is {opt vce(vi)}.

{phang}
{opt estimator(est_spec)} specifies the type of estimator. {it: est_spec}
can either be {opt onestep} or {opt twostep}. {opt onestep} specifies to use the
one-step bias-corrected estimator. {opt twostep} specifies to use the two-step
bias-corrected estimator. The default is {opt estimator(twostep)}.

{phang}
{opt nneighbor(#)} specifies the number of matches per observation. The default
is {opt nneighbor(1)}. The maximum allowed number of matches is 10. Each
observation is matched with the mean of the specified number of observations
from the other dataset.

{phang}
{opt metric(metric_spec)} specifies the distance matrix used as the weight
matrix in a quadratic form that transforms the multiple distances into a single
distance measure. {it:metric_spec} can either be {opt mahalanobis} or 
{opt euclidean}.  {opt metric(mahalanobis)} specifies to use the inverse of the
sample covariance matrix of matching variables, which is the default. 
{opt metric(euclidean)} specifies to use the inverse of only diagonal elements
of the sample covariance matrix of matching variables.

{phang}
{opt order(#)} specifies the order of polynomial in the power-series
approximation for the two-step estimator. The default is {opt order(2)}. The
maximum allowed number of order is 5.

{phang}
{opt noconstant} suppresses the constant term.

{dlgtab:Reporting}

{phang}
{opt level(#)}; see 
{helpb estimation options##level:[R] estimation options}.

{marker display_options}{...}
INCLUDE help displayopts_list

{phang}
{opt coeflegend}; see 
{helpb estimation options##coeflegend:[R] estimation options}.

{marker example}{...}
{title:Examples}

{pstd}Setup{p_end}
{phang2}{cmd:. use s1} {p_end}

{pstd}Use two-step bias-corrected estimator{p_end}
{phang2}{cmd:. msreg y x11 x12 (x21 x22 = z1 z2) using s2, vce(vi)}{p_end}

{pstd}Specify 3 matches per observations{p_end}
{phang2}{cmd:. msreg y x11 x12 (x21 x22 = z1 z2) using s2, vce(vi) nneighbor(3)}
{p_end}

{pstd}Use the 3rd order of polynomial in the power series approximation{p_end}
{phang2}{cmd:. msreg y x11 x12 (x21 x22 = z1 z2) using s2, vce(vi) order(3)}
{p_end}

{marker results}{...}
{title:Stored results}

{pstd}
{cmd:msreg} stores the following in {cmd:e()}:

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{synopt: {cmd: e(N_1)}}number of observations in the first sample {p_end}
{synopt: {cmd: e(N_2)}}number of observations in the second sample {p_end}
{synopt: {cmd: e(nneighbor)}}number of nearest neighbors matched {p_end}
{synopt: {cmd: e(chi2)}}chi-squared {p_end}
{synopt: {cmd: e(p)}}p-value for test of variables {p_end}
{synopt: {cmd: e(df_m)}}degree-of-freedom in the model  {p_end}
{synopt: {cmd: e(order)}}order of polynomial in the power-series estimation
{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt: {cmd:e(cmd)}}{cmd:msreg}{p_end}
{synopt: {cmd:e(footnote)}}footnote displayed under the output table{p_end}
{synopt: {cmd:e(chi2type)}}Wald {p_end}
{synopt: {cmd:e(vce)}}vce specified in {opt vce()}{p_end}
{synopt: {cmd:e(vcetype)}}title used to label Std. Err.{p_end}
{synopt: {cmd:e(common)}}common variables that exist in both samples{p_end}
{synopt: {cmd:e(matched}}matched variables{p_end}
{synopt: {cmd:e(metric)}}type of distance matrix{p_end}
{synopt: {cmd:e(estimator)}}type of estimator{p_end}
{synopt: {cmd:e(title)}}title in estimation output{p_end}
{synopt: {cmd:e(properties)}}{opt b V} {p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{synopt: {cmd:e(b)}}coefficient vector {p_end}
{synopt: {cmd:e(V)}}variance-covariance matrix of the estimators{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}marks estimation sample{p_end}
{p2colreset}{...}

{marker reference}{...}
{title:Reference}

{marker HP2018}{...}
{phang}
Masayuki Hirukawa, and Artem Prokhorov (2018)  Consistent Estimation of Linear
Regression Models Using Matched Data,  {it:Journal of Econometrics}, 203(2),
344-358 
{p_end}
