cscript

do compile

local seed 12345671
set seed `seed'

matrix beta0	= 1
matrix beta1	= (1, 1)
matrix beta2	= (1, 1)
matrix gamma	= (1, 1)
local n_obs	= 2000
local sample1	s1
local sample2	s2
local sample0	s0
local ratio	= 3/4

dgp_tsreg, 			///
	beta0(beta0)		///
	beta1(beta1)		///
	beta2(beta2)		///
	gamma(gamma)		///
	n_obs(`n_obs')		///
	sample1(`sample1')	///
	sample2(`sample2')	///
	sample0(`sample0')	///
	ratio(`ratio')

use `sample1', clear

/*------------------------------------------------------------------------------
	error list
------------------------------------------------------------------------------*/
					//----------------------------//
					// replay
					//----------------------------//
rcof "noi tsreg" == 301
					//----------------------------//
					// using
					//----------------------------//
rcof "noi tsreg y x1" == 100
rcof "noi tsreg y x1 (x2 = z1) using what" == 601
					//----------------------------//
					// varlist
					//----------------------------//
						//  "x2" not found in s2
rcof "noi tsreg y x2* (x1* = z*) using s2" == 2000
						//  "z" not found in s2
rcof "noi tsreg y x22 (x21 = x12) using s2" == 2000
						//  "z" not found in s1
rcof "noi tsreg y x12 (x22 = x21) using s2" == 2000

					//----------------------------//
					// estimator
					//----------------------------//
						//  too many methods
rcof "noi tsreg y x11 (x21 = z1) using s2, msols twostep" == 198
						//  too many methods
rcof "noi tsreg y x11 (x21 = z1) using s2, msols twostep onestep" == 198

					//----------------------------//
					// metric
					//----------------------------//
						//  invalid metric
rcof "noi tsreg y x11 (x21 = z1) using s2, metric(what)" == 198
						// too many 
rcof "noi tsreg y x11 (x21 = z1) using s2, metric(mahalanobis euclidean)" == 198

					//----------------------------//
					// nneighbor(#)
					//----------------------------//
						//  invalid nneighbor
rcof "noi tsreg y x11 (x21 = z1) using s2, nneighbor(what)" == 198
						//  invalid nneighbor
rcof "noi tsreg y x11 (x21 = z1) using s2, nneighbor(-1)" == 198
						//  invalid nneighbor
rcof "noi tsreg y x11 (x21 = z1) using s2, nneighbor(1.5)" == 198

					//----------------------------//
					// order(#)
					//----------------------------//
						//  invalid order
rcof "noi tsreg y x11 (x21 = z1) using s2, order(what)" == 198
						//  invalid order
rcof "noi tsreg y x11 (x21 = z1) using s2, order(-1)" == 198
						//  invalid order
rcof "noi tsreg y x11 (x21 = z1) using s2, order(1.5)" == 198





