cscript

do compile

cap log close

log using test, text replace

local seed 12345671
set seed `seed'

matrix beta0	= 1
matrix beta1	= (1, 1)
matrix beta2	= (1, 1)
matrix gamma	= (1, 1)
local n_obs	= 10000
local sample1	s1
local sample2	s2
local sample0	s0
local ratio	= 1/100

dgp_msreg, 			///
	beta0(beta0)		///
	beta1(beta1)		///
	beta2(beta2)		///
	gamma(gamma)		///
	n_obs(`n_obs')		///
	sample1(`sample1')	///
	sample2(`sample2')	///
	sample0(`sample0')	///
	ratio(`ratio')

forvalues i=1/2 {
	use `sample`i'', clear
	export delimited using `sample`i''.csv, replace
}


use `sample1', clear
					//----------------------------//
					//  one-step bias-correctd estimator
					// (msii)
					//----------------------------//



msreg y x1* (x2* = z*) using s2,  vce(vi) 

msreg y x1* (x2* = z*) using s2,  vce(viii) 


cap log close
