cscript

local SRC ../src2
local TEST ../test

cd `SRC'
cap noi do ltsreg
if _rc {
	cd `TEST'
	exit _rc
}
cd `TEST'

adopath ++ `SRC'

local seed 12345671
set seed `seed'

matrix beta0	= 1
matrix beta1	= (1, 1)
matrix beta2	= (1, 1)
matrix gamma	= (1, 1)
local n_obs	= 2000
local sample1	s1
local sample2	s2
local sample0	s0
local ratio	= 3/4

dgp_tsreg, 			///
	beta0(beta0)		///
	beta1(beta1)		///
	beta2(beta2)		///
	gamma(gamma)		///
	n_obs(`n_obs')		///
	sample1(`sample1')	///
	sample2(`sample2')	///
	sample0(`sample0')	///
	ratio(`ratio')

use `sample1', clear

msreg y x1* (x2* = z*) using s2, metric(mahalanobis) nneighbor(3)
